using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CuXiao.YiBanCuXiaoSheZhi
{
    public partial class W_YiBanCuXiaoSheZhi
    {
        public   string curFormPzh = "";//外边凭证反调
        public W_YiBanCuXiaoSheZhi()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();
            this.dw_list.PageSize = 200;
            this.dw_list.ShowPageRowCountInfo = true;
            this.dw_list.ShowPageSizeTextBox = true;
            this.dw_list.ShowPagingButonText = true;
            A8ERP.Common.DWServiceHelp.AddReportService(dw_list); 
            dw_mkfhjb.Retrieve(this.FunctionID);  // 审核级别 
            dw_list.Retrieve();

            this.SetParm("CURGNQXSTR", base.GnqxStr);
            if (base.GnqxStr.IndexOf("btn_Edit") < 0)
            {
                tb_1.GetItem("btn_zz").Enabled = false;
            }
            if (this.Page != null)
            {
                this.Page.ClientScript.RegisterClientScriptInclude("W_YiBanCuXiaoSheZhi", "/CuXiao/YiBanCuXiaoSheZhi/W_YiBanCuXiaoSheZhi.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("W_YiBanCuXiaoSheZhi_Edit", "/CuXiao/YiBanCuXiaoSheZhi/W_YiBanCuXiaoSheZhi_Edit.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowQueryBase", "/DangAn/Base/OpenWindowQueryBase.win.js?JSV=" + AppService.GetJSVesion());
                this.Page.ClientScript.RegisterClientScriptInclude("OpenWindowInsertRowCxfaSpkhBase", "/DangAn/Base/OpenWindowInsertRowCxfaSpkhBase.win.js?JSV=" + AppService.GetJSVesion());
                 this.Page.ClientScript.RegisterClientScriptInclude("W_CXFSSPDR", "/import/W_CXFSSPDR.win.js?JSV=" + AppService.GetJSVesion());
            }

            #region 外来凭证打开
            if (Request["curFormPzh"] != null)
            {
                curFormPzh = Request["curFormPzh"].ToString();
            }
            this.SetParm("curFormPzh", curFormPzh);
            #endregion 
            
            this.IsRegisterScriptFile = false;
        }
    }
}
